package grabats.grabats;

import DOM.MethodDeclaration;
import DOM.TypeDeclaration;
import grabats.grabats.GrabatsMatch;
import java.util.Collection;
import org.eclipse.emf.common.notify.Notifier;
import org.eclipse.viatra2.emf.incquery.runtime.api.EngineManager;
import org.eclipse.viatra2.emf.incquery.runtime.api.IMatchProcessor;
import org.eclipse.viatra2.emf.incquery.runtime.api.IMatcherFactory;
import org.eclipse.viatra2.emf.incquery.runtime.api.IncQueryEngine;
import org.eclipse.viatra2.emf.incquery.runtime.api.IncQueryMatcher;
import org.eclipse.viatra2.emf.incquery.runtime.api.impl.BaseGeneratedMatcher;
import org.eclipse.viatra2.emf.incquery.runtime.exception.IncQueryRuntimeException;
import org.eclipse.viatra2.gtasm.patternmatcher.incremental.rete.misc.DeltaMonitor;
import org.eclipse.viatra2.gtasm.patternmatcher.incremental.rete.tuple.Tuple;

/**
 * Generated pattern matcher API of the grabats pattern, 
 * providing pattern-specific query methods.
 * 
 * 
 * 
 * pattern grabats(T : TypeDeclaration, M : MethodDeclaration)= {
 * 	find methodOfType(T, M);
 * 	TypeDeclaration.name.fullyQualifiedName(T, S);
 * 	find methodWithReturnType(M, S);
 * 	MethodDeclaration.modifiers(M, MF1);
 * 	MethodDeclaration.modifiers(M, MF2);
 * 	MF1 != MF2 ;
 * 	find isPublic(MF1);
 * 	find isStatic(MF2);
 * }
 * 
 * @see GrabatsMatch
 * @see GrabatsMatcherFactory
 * @see GrabatsProcessor
 * 
 */
public class GrabatsMatcher extends BaseGeneratedMatcher<GrabatsMatch> implements IncQueryMatcher<GrabatsMatch> {
  /**
   * Initializes the pattern matcher over a given EMF model root (recommended: Resource or ResourceSet). 
   * If a pattern matcher is already constructed with the same root, only a lightweight reference is created.
   * The match set will be incrementally refreshed upon updates from the given EMF root and below.
   * <p>Note: if emfRoot is a resourceSet, the scope will include even those resources that are not part of the resourceSet but are referenced. 
   * This is mainly to support nsURI-based instance-level references to registered EPackages.
   * @param emfRoot the root of the EMF tree where the pattern matcher will operate. Recommended: Resource or ResourceSet.
   * @throws IncQueryRuntimeException if an error occurs during pattern matcher creation
   * 
   */
  public GrabatsMatcher(final Notifier notifier) throws IncQueryRuntimeException {
    this(EngineManager.getInstance().getIncQueryEngine(notifier));
  }
  
  /**
   * Initializes the pattern matcher within an existing EMF-IncQuery engine. 
   * If the pattern matcher is already constructed in the engine, only a lightweight reference is created.
   * The match set will be incrementally refreshed upon updates.
   * @param engine the existing EMF-IncQuery engine in which this matcher will be created.
   * @throws IncQueryRuntimeException if an error occurs during pattern matcher creation
   * 
   */
  public GrabatsMatcher(final IncQueryEngine engine) throws IncQueryRuntimeException {
    super(engine, FACTORY);
  }
  
  /**
   * Returns the set of all matches of the pattern that conform to the given fixed values of some parameters.
   * @param pT the fixed value of pattern parameter T, or null if not bound.
   * @param pM the fixed value of pattern parameter M, or null if not bound.
   * @return matches represented as a GrabatsMatch object.
   * 
   */
  public Collection<GrabatsMatch> getAllMatches(final TypeDeclaration pT, final MethodDeclaration pM) {
    return rawGetAllMatches(new Object[]{pT, pM});
    
  }
  
  /**
   * Returns an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters.
   * Neither determinism nor randomness of selection is guaranteed.
   * @param pT the fixed value of pattern parameter T, or null if not bound.
   * @param pM the fixed value of pattern parameter M, or null if not bound.
   * @return a match represented as a GrabatsMatch object, or null if no match is found.
   * 
   */
  public GrabatsMatch getOneArbitraryMatch(final TypeDeclaration pT, final MethodDeclaration pM) {
    return rawGetOneArbitraryMatch(new Object[]{pT, pM});
    
  }
  
  /**
   * Indicates whether the given combination of specified pattern parameters constitute a valid pattern match,
   * under any possible substitution of the unspecified parameters (if any).
   * @param pT the fixed value of pattern parameter T, or null if not bound.
   * @param pM the fixed value of pattern parameter M, or null if not bound.
   * @return true if the input is a valid (partial) match of the pattern.
   * 
   */
  public boolean hasMatch(final TypeDeclaration pT, final MethodDeclaration pM) {
    return rawHasMatch(new Object[]{pT, pM});
    
  }
  
  /**
   * Returns the number of all matches of the pattern that conform to the given fixed values of some parameters.
   * @param pT the fixed value of pattern parameter T, or null if not bound.
   * @param pM the fixed value of pattern parameter M, or null if not bound.
   * @return the number of pattern matches found.
   * 
   */
  public int countMatches(final TypeDeclaration pT, final MethodDeclaration pM) {
    return rawCountMatches(new Object[]{pT, pM});
    
  }
  
  /**
   * Executes the given processor on each match of the pattern that conforms to the given fixed values of some parameters.
   * @param pT the fixed value of pattern parameter T, or null if not bound.
   * @param pM the fixed value of pattern parameter M, or null if not bound.
   * @param processor the action that will process each pattern match.
   * 
   */
  public void forEachMatch(final TypeDeclaration pT, final MethodDeclaration pM, final IMatchProcessor<? super GrabatsMatch> processor) {
    rawForEachMatch(new Object[]{pT, pM}, processor);
    
  }
  
  /**
   * Executes the given processor on an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters.  
   * Neither determinism nor randomness of selection is guaranteed.
   * @param pT the fixed value of pattern parameter T, or null if not bound.
   * @param pM the fixed value of pattern parameter M, or null if not bound.
   * @param processor the action that will process the selected match. 
   * @return true if the pattern has at least one match with the given parameter values, false if the processor was not invoked
   * 
   */
  public boolean forOneArbitraryMatch(final TypeDeclaration pT, final MethodDeclaration pM, final IMatchProcessor<? super GrabatsMatch> processor) {
    return rawForOneArbitraryMatch(new Object[]{pT, pM}, processor);
    
  }
  
  /**
   * Registers a new filtered delta monitor on this pattern matcher.
   * The DeltaMonitor can be used to track changes (delta) in the set of filtered pattern matches from now on, considering those matches only that conform to the given fixed values of some parameters. 
   * It can also be reset to track changes from a later point in time, 
   * and changes can even be acknowledged on an individual basis. 
   * See {@link DeltaMonitor} for details.
   * @param fillAtStart if true, all current matches are reported as new match events; if false, the delta monitor starts empty.
   * @param pT the fixed value of pattern parameter T, or null if not bound.
   * @param pM the fixed value of pattern parameter M, or null if not bound.
   * 	 @return the delta monitor.
   * 
   */
  public DeltaMonitor<GrabatsMatch> newFilteredDeltaMonitor(final boolean fillAtStart, final TypeDeclaration pT, final MethodDeclaration pM) {
    return rawNewFilteredDeltaMonitor(fillAtStart, new Object[]{pT, pM});
    
  }
  
  @Override
  public GrabatsMatch tupleToMatch(final Tuple t) {
    try {
    	return new GrabatsMatch((DOM.TypeDeclaration) t.get(0), (DOM.MethodDeclaration) t.get(1));	
    } catch(ClassCastException e) {System.err.println("Error when executing tupleToMatch in GrabatsMatcher:" + e.getMessage());
    	//throw new IncQueryRuntimeException(e.getMessage());
    	return null;
    }
    
  }
  
  @Override
  public GrabatsMatch arrayToMatch(final Object[] match) {
    try {
    	return new GrabatsMatch((DOM.TypeDeclaration) match[0], (DOM.MethodDeclaration) match[1]);
    } catch(ClassCastException e) {System.err.println("Error when executing arrayToMatch in GrabatsMatcher:" + e.getMessage());
    }
    		//throw new IncQueryRuntimeException(e.getMessage());
    		return null;
    
  }
  
  public final static IMatcherFactory<GrabatsMatch,GrabatsMatcher> FACTORY =  new GrabatsMatcherFactory();
}
