package grabats.ispublic;

import DOM.Modifier;
import grabats.ispublic.IsPublicMatch;
import org.eclipse.viatra2.emf.incquery.runtime.api.IMatchProcessor;

/**
 * A match processor tailored for the isPublic pattern.
 * 
 * Clients should derive an (anonymous) class that implements the abstract process().
 * 
 */
public abstract class IsPublicProcessor implements IMatchProcessor<IsPublicMatch> {
  /**
   * Defines the action that is to be executed on each match.
   * @param pM the value of pattern parameter M in the currently processed match 
   * 
   */
  public abstract void process(final Modifier M);
  
  @Override
  public void process(final IsPublicMatch match) {
    process(match.getM());  				
    
  }
}
