package grabats.methodoftype;

import DOM.MethodDeclaration;
import DOM.TypeDeclaration;
import grabats.methodoftype.MethodOfTypeMatch;
import org.eclipse.viatra2.emf.incquery.runtime.api.IMatchProcessor;

/**
 * A match processor tailored for the methodOfType pattern.
 * 
 * Clients should derive an (anonymous) class that implements the abstract process().
 * 
 */
public abstract class MethodOfTypeProcessor implements IMatchProcessor<MethodOfTypeMatch> {
  /**
   * Defines the action that is to be executed on each match.
   * @param pT the value of pattern parameter T in the currently processed match 
   * @param pM the value of pattern parameter M in the currently processed match 
   * 
   */
  public abstract void process(final TypeDeclaration T, final MethodDeclaration M);
  
  @Override
  public void process(final MethodOfTypeMatch match) {
    process(match.getT(), match.getM());  				
    
  }
}
