package grabats.methodwithreturntype;

import DOM.MethodDeclaration;
import grabats.methodwithreturntype.MethodWithReturnTypeMatch;
import org.eclipse.viatra2.emf.incquery.runtime.api.IMatchProcessor;

/**
 * A match processor tailored for the methodWithReturnType pattern.
 * 
 * Clients should derive an (anonymous) class that implements the abstract process().
 * 
 */
public abstract class MethodWithReturnTypeProcessor implements IMatchProcessor<MethodWithReturnTypeMatch> {
  /**
   * Defines the action that is to be executed on each match.
   * @param pM the value of pattern parameter M in the currently processed match 
   * @param pS the value of pattern parameter S in the currently processed match 
   * 
   */
  public abstract void process(final MethodDeclaration M, final String S);
  
  @Override
  public void process(final MethodWithReturnTypeMatch match) {
    process(match.getM(), match.getS());  				
    
  }
}
